module Samsung
  module Protocol
    class AuthFrame < Frame
      def initialize(local_ip, app_id, name)
        super()
        push_int8(0x64)
        push_int8(0x00)
        push_string64(local_ip)
        push_string64(app_id)
        push_string64(name)
      end
    end
  end
end
