module Samsung
  class Network
    def local_ip
      Socket.ip_address_list.find {|a| a.ipv4? and !a.ipv4_loopback? and a.ipv4_private? }.ip_address
    end

    def local_hw_address
      `ifconfig -a | grep HWaddr | cut -c39- | head -n1`.strip
    end
  end
end
